package com.bawei.es.service;

import java.util.Map;

/**
 * @Author: 31966
 * @Project: mall-product
 * @Package: com.bwie.es.service
 * @ClassName: EsService
 * @Description: 请在此处填写具体描述
 * @Date: 2024/4/22 20:56
 */
public interface IndexService {
    boolean exist(String indexName);

    boolean index(String indexName, Map<String, Object> mappings);

    boolean updataIndex(String indexName, Map<String, Object> mappings);

    boolean deleteIndex(String indexName);

    Map<String, Object> getMapping(String indexName);
}
